Package org.opensaml.xmlsec.encryption

# Interface EncryptedKey

All Superinterfaces:
  `EncryptedType`, `XMLObject`

All Known Implementing Classes:
  `EncryptedKeyImpl`

public interface EncryptedKey extends EncryptedType
XMLObject representing XML Encryption, version 20021210, EncryptedKey element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`RECIPIENT_ATTRIB_NAME`
Recipient attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.xmlsec.encryption.EncryptedType

`ENCODING_ATTRIB_NAME, ID_ATTRIB_NAME, MIMETYPE_ATTRIB_NAME, TYPE_ATTRIB_NAME`

## Method Summary

Modifier and Type
Method
Description
`CarriedKeyName`
`getCarriedKeyName()`
Gets the child element carrying the human readable name for this key.
`String`
`getRecipient()`
Gets the hint about for whom this encrypted key is intended.
`ReferenceList`
`getReferenceList()`
Gets the child element containing pointers to EncryptedData and EncryptedKey elements encrypted using this key.
`void`
`setCarriedKeyName(CarriedKeyName newCarriedKeyName)`
Sets the child element carrying the human readable name for this key.
`void`
`setRecipient(String newRecipient)`
Sets the hint about for whom this encrypted key is intended.
`void`
`setReferenceList(ReferenceList newReferenceList)`
Sets the child element containing pointers to EncryptedData and EncryptedKey elements encrypted using this key.

### Methods inherited from interface org.opensaml.xmlsec.encryption.EncryptedType

`getCipherData, getEncoding, getEncryptionMethod, getEncryptionProperties, getID, getKeyInfo, getMimeType, getType, setCipherData, setEncoding, setEncryptionMethod, setEncryptionProperties, setID, setKeyInfo, setMimeType, setType`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### RECIPIENT_ATTRIB_NAME

@Nonnull @NotEmpty static final String RECIPIENT_ATTRIB_NAME
Recipient attribute name.

See Also:
  - Constant Field Values

## Method Details

### getRecipient

@Nullable String getRecipient()
Gets the hint about for whom this encrypted key is intended.

Returns:
  the hint about who this encrypted key is intended for

### setRecipient

void setRecipient(@Nullable String newRecipient)
Sets the hint about for whom this encrypted key is intended.

Parameters:
  `newRecipient` - the hint about who this encrypted key is intended for

### getReferenceList

@Nullable ReferenceList getReferenceList()
Gets the child element containing pointers to EncryptedData and EncryptedKey elements encrypted using this key.

Returns:
  the element containing a list of pointers to encrypted elements

### setReferenceList

void setReferenceList(@Nullable ReferenceList newReferenceList)
Sets the child element containing pointers to EncryptedData and EncryptedKey elements encrypted using this key.

Parameters:
  `newReferenceList` - the new reference list for this encrypted key

### getCarriedKeyName

@Nullable CarriedKeyName getCarriedKeyName()
Gets the child element carrying the human readable name for this key.

Returns:
  the human readable name for this key

### setCarriedKeyName

void setCarriedKeyName(@Nullable CarriedKeyName newCarriedKeyName)
Sets the child element carrying the human readable name for this key.

Parameters:
  `newCarriedKeyName` - the human readable name for this key